Bug 819209 - libgearman-devel unusable
libgearman-devel unusable
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gearmand (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 14:19 EDT by Remi Collet
Modified: 2013-09-16 02:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 02:15:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2012-05-05 14:19:57 EDT
Description of problem:
missing header
In /usr/include/libgearman/gearman.h
#include <libgearman-1.0/gearman.h>

This file is not provided.

Version-Release number of selected component (if applicable):
libgearman-devel-0.28-3.fc17.x86_64
Comment 1 Remi Collet 2012-05-05 14:26:28 EDT
Don't really understand the sub-package splitting.

Installing libgearman-1.0 AND libgearman-1.0-devel workaround the problem.

This should be dependencies of libgearman-devel
Comment 2 Remi Collet 2012-08-04 12:21:50 EDT
Any news ?
Comment 3 BJ Dierkes 2012-10-18 14:39:32 EDT
Upstream split out the libgearman sources like that, so I packaged it (the older 1.0 library version) separately.  Do you have any suggestion of doing it another way?
Comment 4 Fedora End Of Life 2013-07-04 02:36:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Ken Dreyer 2013-07-17 20:36:52 EDT
Bumping to Rawhide to avoid auto-closing
Comment 6 Ken Dreyer 2013-09-13 09:26:05 EDT
Hi Remi,

Thanks for this bug. I'm not sure why pkgdb didn't re-assign this bug when the ownership changed... anyways, re-assigning manually now.

The latest version of libgearman-devel (1.1.8-4) provides the /usr/include/libgearman-1.0 directory and header files. Would you mind confirming that this is working for you? If so, we can close this bug.
Comment 7 Remi Collet 2013-09-16 01:42:58 EDT
Yes, new version is working.
Comment 8 Ken Dreyer 2013-09-16 02:15:30 EDT
Awesome! Thank you Remi. Closing.

Note You need to log in before you can comment on or make changes to this bug.